<?php
/**
 * Counter Section options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

$wp_customize->add_section( 'corporate_education_pro_counter', array(
	'title'             => esc_html__( 'Counter','corporate-education-pro' ),
	'description'       => esc_html__( 'Counter Section Options.', 'corporate-education-pro' ),
	'panel'             => 'corporate_education_pro_sections_panel',
) );

// counter Section enable setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[counter_enable]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['counter_enable'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[counter_enable]', array(
	'label'            	=> esc_html__( 'Enable Counter Section', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_counter',
	'type'             	=> 'checkbox',
) );

for ( $i = 1; $i <= 4; $i++ ) :
	// Slider post hr setting and control
	$wp_customize->add_setting( 'corporate_education_pro_theme_options[counter_hr_' . $i . ']', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Corporate_Education_Pro_Customize_Horizontal_Line( $wp_customize, 'corporate_education_pro_theme_options[counter_hr_' . $i . ']',
		array(
			'section'         => 'corporate_education_pro_counter',
			'active_callback' => 'corporate_education_pro_is_counter_enable',
			'type'			  => 'hr'
	) ) );

	// counter Section icon setting and control.
	$wp_customize->add_setting( 'corporate_education_pro_theme_options[counter_icon_' . $i . ']', array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['counter_icon_' . $i],
	) );

	$wp_customize->add_control( 'corporate_education_pro_theme_options[counter_icon_' . $i . ']', array(
		'label'            	=> sprintf( esc_html__( 'Icon %d', 'corporate-education-pro' ), $i ),
		'section'          	=> 'corporate_education_pro_counter',
		'type'             	=> 'text',
		'active_callback'	=> 'corporate_education_pro_is_counter_enable',
	) );

	// counter Section title setting and control.
	$wp_customize->add_setting( 'corporate_education_pro_theme_options[counter_count_' . $i . ']', array(
		'sanitize_callback'	=> 'absint',
		'default'          	=> $options['counter_count_' . $i],
	) );

	$wp_customize->add_control( 'corporate_education_pro_theme_options[counter_count_' . $i . ']', array(
		'label'            	=> sprintf( esc_html__( 'Number Value %d', 'corporate-education-pro' ), $i ),
		'section'          	=> 'corporate_education_pro_counter',
		'type'             	=> 'number',
		'input_attrs'	=> array(
			'style'	=> 'width:100px',
			),
		'active_callback'	=> 'corporate_education_pro_is_counter_enable',
	) );

	// counter Section title setting and control.
	$wp_customize->add_setting( 'corporate_education_pro_theme_options[counter_title_' . $i . ']', array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['counter_title_' . $i],
	) );

	$wp_customize->add_control( 'corporate_education_pro_theme_options[counter_title_' . $i . ']', array(
		'label'            	=> sprintf( esc_html__( 'Title %d', 'corporate-education-pro' ), $i ),
		'section'          	=> 'corporate_education_pro_counter',
		'type'             	=> 'text',
		'active_callback'	=> 'corporate_education_pro_is_counter_enable',
	) );
endfor;