<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

// Add excerpt section
$wp_customize->add_section( 'corporate_education_pro_excerpt_section', array(
	'title'             => esc_html__( 'Excerpt','corporate-education-pro' ),
	'description'       => esc_html__( 'Excerpt section options.', 'corporate-education-pro' ),
	'panel'             => 'corporate_education_pro_theme_options_panel',
) );


// long Excerpt length setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[long_excerpt_length]', array(
	'sanitize_callback' => 'corporate_education_pro_sanitize_number_range',
	'validate_callback' => 'corporate_education_pro_validate_long_excerpt',
	'default'			=> $options['long_excerpt_length'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[long_excerpt_length]', array(
	'label'       => esc_html__( 'Blog Page Excerpt Length', 'corporate-education-pro' ),
	'description' => esc_html__( 'Total words to be displayed in archive page/search page.', 'corporate-education-pro' ),
	'section'     => 'corporate_education_pro_excerpt_section',
	'type'        => 'number',
	'input_attrs' => array(
		'style'       => 'width: 80px;',
		'max'         => 100,
		'min'         => 5,
	),
) );


// Read more text.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[read_more_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			  => $options['read_more_text'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[read_more_text]', array(
	'label'       => esc_html__( 'Read More Text', 'corporate-education-pro' ),
	'description' => esc_html__( 'Note: It works on blog page, archive page, search page and front page sections ie: Call to Action Section, Service Section and Team Section while you choose content type post or page.', 'corporate-education-pro' ),
	'section'     => 'corporate_education_pro_excerpt_section',
	'type'        => 'text',
) );
